### Function

# Gimp enums_get_type_names

#### Declaration [src]

    const gchar**
    gimp_enums_get_type_names (
      gint* n_type_names
    )

#### Description [src]

This function gives access to the list of enums registered by libgimp. The returned array is static and must not be modified.

Available since: | 2.2

#### Parameters

`n_type_names` | `gint*`
| Return location for the number of names.
| The argument will be set by the function.

#### Return value

Returns: | An array of `utf8`
| An array with type names.
| The array is `NULL`-terminated.
| The data is owned by the called function.
| Each element is a NUL terminated UTF-8 string.